com.hazelcast.config

## Class MaxSizeConfigReadOnly

- java.lang.Object
- - com.hazelcast.config.MaxSizeConfig
  - - com.hazelcast.config.MaxSizeConfigReadOnly

- All Implemented Interfaces:
    DataSerializable, Serializable

  Deprecated.
  this class will be removed in 4.0; it is meant for internal usage only.

      public class MaxSizeConfigReadOnly
      extends MaxSizeConfig

  Contains the configuration for a size of Map.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.hazelcast.config.MaxSizeConfig

      `MaxSizeConfig.MaxSizePolicy`

  - ### Field Summary

    - ### Fields inherited from class com.hazelcast.config.MaxSizeConfig

      `DEFAULT_MAX_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaxSizeConfigReadOnly(MaxSizeConfig config)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `MaxSizeConfig` | `setMaxSizePolicy(MaxSizeConfig.MaxSizePolicy maxSizePolicy)` Deprecated. Ses the maximum size policy of the map.
    `MaxSizeConfig` | `setSize(int size)` Deprecated. Sets the maximum size of the map.

    - ### Methods inherited from class com.hazelcast.config.MaxSizeConfig

      `equals, getAsReadOnly, getMaxSizePolicy, getSize, hashCode, readData, toString, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MaxSizeConfigReadOnly

          public MaxSizeConfigReadOnly(MaxSizeConfig config)

      Deprecated.

  - ### Method Detail

    - #### setSize

          public MaxSizeConfig setSize(int size)

      Deprecated.
      Description copied from class: `MaxSizeConfig`
      Sets the maximum size of the map.
      Overrides:
        `setSize` in class `MaxSizeConfig`
      Parameters:
        `size` - the maximum size of the map
      Returns:
        the map MaxSizeConfig

    - #### setMaxSizePolicy

          public MaxSizeConfig setMaxSizePolicy(MaxSizeConfig.MaxSizePolicy maxSizePolicy)

      Deprecated.
      Description copied from class: `MaxSizeConfig`
      Ses the maximum size policy of the map.
      Overrides:
        `setMaxSizePolicy` in class `MaxSizeConfig`
      Parameters:
        `maxSizePolicy` - the maximum size policy to set for the map
      Returns:
        this MaxSizeConfig

Copyright © 2019. All rights reserved.